000023865 - How to Determine RSA RADIUS 6.1.x Patch Level

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000023865
Applies ToRSA RADIUS 6.1.x
RSA Authentication Manager
IssueHow to determine patch level of RSA Radius
What Patch level is RSA RADIUS at?
Resolution

There are three ways to determine the RSA RADIUS patch level.  Note that the 3rd method may become less reliable, as it is possible to replace the ACEClient library without changing anything else in RADIUS.  So if new ACEClient Libraries become available, they could throw off the results of step 3.  For that reason, the best solution is to use the first or second method to determine the RADIUS patch level. 

 

1) In the RADIUS log:
- Go to the installation directory for RADIUS.
- When RADIUS starts, it writes the internal version
  to the logfile: yyyymmdd.log.
- If you know that RADIUS was started on a particular day
  you can look at that single log file for the version.
- Or, search all log files for a line ?Version:? ...
  for example:
    grep ?Version:? *.log
- To identify the RADIUS update by its internal revision:

  Version 5.20.1867 is associated with release 6.1.0

  Version 5.20.2173 is associated with update 6.1.1

  Version 5.20.2259 and higher is associated with update 6.1.2

2) Look at the version of the RADIUS executable:

 

- In the RADIUS install directory, look at the

  version of the main radius executable:

  radius.exe (on windows).

- On UNIX, use strings to search for the ?Version? string

   in the executable.

- Or in windows, the file version will pop-up in a balloon when

  your mouse selects the executable or else use file Properties.

- To identify the RADIUS update by its internal revision:

  Version 5.20.1867 is associated with release 6.1.0

  Version 5.20.2173 is associated with update 6.1.1

  Version 5.20.2259 and higher is associated with update 6.1.2

3) Refer to the version of RSA ACECLNT
- Go to the installation directory for radius.
- Locate the shared library file: libaceclnt.so
  (libaceclnt.sl for HP-UX).
- Invoke the following "strings" command to extract
  and search for the version string:
    strings libaceclnt.so | fgrep '@(#)RSA'
- Look for a string in the output such as:
    @(#)RSA ACE/Agent Version 6.1 [294]
  this is the version.

(On windows this is shared in system32 so might not be reliable if other RSA agents are installed)

In April 2008 we released a newer version of the installer for RSA RADIUS Server as part of the Authentication Manager 6.1 installer, version 5.20.2341 for Windows and Linux, but not for Solaris. This version does not need to be patched.

Legacy Article IDa35738

Attachments

    Outcomes